"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_dom_1 = require("react-dom");
var util_1 = require("../util");
var universal_bootstrap_app_factory_1 = require("./universal-bootstrap-app.factory");
/**
 * @stable [20.09.2019]
 * @param {IContainerCtor} applicationContainer
 * @param {IBootstrapEntity} bootstrapEntity
 */
exports.bootstrapReactApp = function (applicationContainer) {
    var componentClass = universal_bootstrap_app_factory_1.makeBootstrapApp(applicationContainer, {});
    react_dom_1.render(new componentClass({}).render(), // Isomorphic componentClass
    util_1.getElementById('appId'));
};
//# sourceMappingURL=react-app.bootstrapper.js.map