import { ControlledPlaceFieldItemsEnum, IControlledPlaceFieldConfigEntity, IControlledPlaceFieldItemEntity, IPlaceFieldProps } from '../../../definition';
import { ControlledFieldFactory } from '../controlled-field-factory.service';
export declare class ControlledPlaceFieldFactory extends ControlledFieldFactory<IControlledPlaceFieldConfigEntity, IControlledPlaceFieldItemEntity, ControlledPlaceFieldItemsEnum> {
    /**
     * @stable [11.01.2020]
     */
    constructor();
    /**
     * @stable [11.01.2020]
     * @param {IControlledPlaceFieldConfigEntity} config
     * @param {IControlledPlaceFieldItemEntity} actualFieldCfg
     * @param {IControlledPlaceFieldItemEntity[]} actualFields
     * @returns {IPlaceFieldProps}
     */
    protected getExtraProps(config: IControlledPlaceFieldConfigEntity, actualFieldCfg: IControlledPlaceFieldItemEntity, actualFields: IControlledPlaceFieldItemEntity[]): IPlaceFieldProps;
    /**
     * @stable [11.01.2020]
     * @param {IControlledPlaceFieldConfigEntity} config
     * @returns {IControlledPlaceFieldItemEntity[]}
     */
    protected getFields(config: IControlledPlaceFieldConfigEntity): IControlledPlaceFieldItemEntity[];
}
