/// <reference types="react" />
import { IChipsFieldProps, IChipsFieldState } from './chipsfield.interface';
import { MultiField } from '../multifield';
export declare class ChipsField extends MultiField<IChipsFieldProps, IChipsFieldState> {
    /**
     * @stable [01.06.2018]
     * @returns {JSX.Element}
     */
    protected getAttachmentElement(): JSX.Element;
    protected getFieldClassName(): string;
    /**
     * @stable [01.06.2018]
     * @param {INamedEntity} item
     * @returns {EntityIdT}
     */
    private toDisplayLabel;
}
