import { BaseSelect } from './base-select.component';
import { ISelectProps, ISelectState } from './select.interface';
import { ISelectOptionEntity } from '../../../definition';
export declare class Select extends BaseSelect<ISelectProps, ISelectState> {
    static readonly defaultProps: ISelectProps;
    /**
     * @stable [28.01.2020]
     * @returns {ISelectOptionEntity[]}
     */
    protected getFilteredOptions(): ISelectOptionEntity[];
    /**
     * @stable [30.11.2019]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
