"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definition_1 = require("../../definition");
/**
 * @stable [08.05.2018]
 */
exports.KEYBOARD_QWERTY_LAYOUT = [
    ['q', 'w', 'e', 'r', 't', 'y', 'u', 'i', 'o', 'p'],
    ['a', 's', 'd', 'f', 'g', 'h', 'j', 'k', 'l'],
    [{ value: definition_1.KeyboardKeyDescriptorsEnum.UPPERCASE, type: definition_1.KeyboardKeysEnum.UPPERCASE },
        'z', 'x', 'c', 'v', 'b', 'n', 'm',
        { value: definition_1.KeyboardKeyDescriptorsEnum.BACK, type: definition_1.KeyboardKeysEnum.BACKSPACE }],
    [
        { value: definition_1.KeyboardKeyDescriptorsEnum.DIGITAL, type: definition_1.KeyboardKeysEnum.CHANGE_LAYOUT },
        ',',
        { value: definition_1.KeyboardKeyDescriptorsEnum.SPACE, type: definition_1.KeyboardKeysEnum.SPACE, width: 200 },
        '.', { value: definition_1.KeyboardKeyDescriptorsEnum.CLOSE, type: definition_1.KeyboardKeysEnum.CLOSE }
    ]
];
/**
 * @stable [08.05.2018]
 */
exports.KEYBOARD_QWERTY_DIGITAL_LAYOUT = [
    ['1', '2', '3', '4', '5', '6', '7', '8', '9', '0'],
    ['!', '@', '#', '$', '%', '&', '+', '?', '/'],
    ['*', '_', '"', '\'', '(', ')', '-', ':', { value: definition_1.KeyboardKeyDescriptorsEnum.BACK, type: definition_1.KeyboardKeysEnum.BACKSPACE }],
    [{ value: definition_1.KeyboardKeyDescriptorsEnum.LITERAL, type: definition_1.KeyboardKeysEnum.CHANGE_LAYOUT },
        ';', ',', { value: definition_1.KeyboardKeyDescriptorsEnum.SPACE, type: definition_1.KeyboardKeysEnum.SPACE, width: 200 }, '.', '=',
        { value: definition_1.KeyboardKeyDescriptorsEnum.CLOSE, type: definition_1.KeyboardKeysEnum.CLOSE }]
];
/**
 * @stable [19.02.2019]
 */
exports.INLINE_KEYBOARD_NUMERIC_LAYOUT = [
    ['1', '2', '3'],
    ['4', '5', '6'],
    ['7', '8', '9'],
    ['.', '0', { value: definition_1.KeyboardKeyDescriptorsEnum.BACK, type: definition_1.KeyboardKeysEnum.BACKSPACE }]
];
/**
 * @stable [19.02.2019]
 */
exports.KEYBOARD_NUMERIC_LAYOUT = exports.INLINE_KEYBOARD_NUMERIC_LAYOUT.concat([
    [{ value: definition_1.KeyboardKeyDescriptorsEnum.CLOSE, type: definition_1.KeyboardKeysEnum.CLOSE }]
]);
//# sourceMappingURL=keyboard.interface.js.map