import * as React from 'react';
import { UniversalMessage } from './universal-message.component';
export declare class Message extends UniversalMessage {
    /**
     * @stable [23.04.2018]
     * @returns {JSX.Element}
     */
    protected getProgressLabel(): JSX.Element;
    /**
     * @stable [09.06.2018]
     * @param {React.ReactNode} message
     * @param {React.ReactNode} node
     * @returns {JSX.Element}
     */
    protected getMessageWrapper(message: React.ReactNode, node: React.ReactNode): JSX.Element;
}
