/// <reference types="react" />
import { BaseComponent } from '../base';
import { ITabPanelProps } from '../../definition';
export declare class TabPanel extends BaseComponent<ITabPanelProps> {
    /**
     * @stable [12.02.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [02.09.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [10.02.2020]
     * @param {IBaseEvent} event
     * @param {ITabProps} tab
     */
    private onTabClick;
    /**
     * @stable [12.02.2020]
     */
    private onDeactivateValue;
    /**
     * @stable [12.02.2020]
     * @param {ITabProps} tab
     * @param {number} index
     * @param {number} activeValue
     * @returns {JSX.Element}
     */
    private asTabElement;
    /**
     * @stable [12.02.2020]
     * @returns {number}
     */
    private readonly activeValue;
}
