"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function effectsBy() {
    var fns = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        fns[_i] = arguments[_i];
    }
    return function () { return fns.forEach(function (fn) { return fn(); }); };
}
exports.effectsBy = effectsBy;
//# sourceMappingURL=effects-by.decorator.js.map