/**
 * @stable [05.05.2019]
 * @param {number} num
 * @param {number} precision
 * @returns {number}
 */
export declare const roundByPrecision: (num: number, precision?: number) => number;
/**
 * @stable [05.05.2019]
 * @param {number} num
 * @param {number} divider
 * @returns {number}
 */
export declare const roundDownByDivider: (num: number, divider: number) => number;
/**
 * @stable [13.05.2019]
 * @param {number} num
 * @param {number} precision
 * @returns {number}
 */
export declare const invertCurrency: (num: number, precision?: number) => number;
/**
 * @stable [26.06.2019]
 * @param {number} value
 * @param {number} total
 * @returns {number}
 */
export declare const percent: (value: number, total: number) => number;
/**
 * @stable [12.09.2019]
 * @param {number} value
 * @param {number} total
 * @returns {number}
 */
export declare const proportion: (value: number, total: number) => number;
/**
 * @stable [12.09.2019]
 * @param {number} value
 * @param {number} total
 * @returns {number}
 */
export declare const residueRoundDownByDivider: (value: number, total: number) => number;
/**
 * @stable [12.09.2019]
 * @param {number} value
 * @param {number} total
 * @param {number} offValue
 * @returns {number}
 */
export declare const roundedProportion: (value: number, total: number, offValue?: number) => number;
/**
 * @stable [12.09.2019]
 * @param {number} value
 * @param {number} total
 * @param {number} offValue
 * @param {number} precisionValue
 * @returns {number}
 */
export declare const roundedByPrecisionProportion: (value: number, total: number, offValue?: number, precisionValue?: number) => number;
