import { ICurrentTimeWrapper, ITypeWrapper, IValueWrapper, IPatternWrapper, IDisplayValueWrapper, StringNumberT, ITimeWrapper } from '../../../definitions.interface';
import { IDateFieldProps, IDateFieldState } from '../date-field';
import { DateTimeLikeTypeT } from '../../../definition';
/**
 * @stable [07.01.2019]
 */
export declare enum DateNavigatorTypeEnum {
    DAY = 0,
    MONTH = 1
}
/**
 * @stable [29.10.2018]
 */
export interface IDateNavigatorProps extends IDateFieldProps, ITimeWrapper<boolean> {
    leftActionConfiguration?: any;
    rightActionConfiguration?: any;
}
/**
 * @stable [30.10.2018]
 */
export interface IDateNavigatorState extends IDateFieldState, ICurrentTimeWrapper<Date> {
}
/**
 * @stable [08.01.2018]
 */
export interface IDateNavigatorDisplayValuePayloadEntity extends IValueWrapper<DateTimeLikeTypeT>, ITypeWrapper<StringNumberT>, IDisplayValueWrapper, IPatternWrapper {
}
