import { IEffectsAction } from 'redux-effects-promise';
import { IQueryWrapper } from '../../definitions.interface';
export declare class FilterActionBuilder {
    static buildManualApplyActionType(section: string): string;
    static buildApplyActionType(section: string): string;
    static buildOpenActionType(section: string): string;
    static buildDeactivateActionType(section: string): string;
    static buildActivateActionType(section: string): string;
    static buildDestroyActionType(section: string): string;
    static buildChangeActionType(section: string): string;
    static buildChangeAction(section: string, queryWrapper: IQueryWrapper): IEffectsAction;
    static buildDestroyAction(section: string): IEffectsAction;
    static buildActivateAction(section: string): IEffectsAction;
}
