import { IUniversalComponent, IUniversalPlugin } from '../../definition';
export declare class AutoScrollTopPlugin implements IUniversalPlugin {
    private readonly component;
    private readonly domAccessor;
    private contentHeight;
    /**
     * @stable [27.10.2018]
     * @param {IUniversalComponent} component
     */
    constructor(component: IUniversalComponent);
    /**
     * @stable [27.10.2018]
     */
    componentDidUpdate(): void;
    /**
     * @stable [27.10.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [01.12.2018]
     */
    private updateScrollTop;
}
