"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var form_1 = require("../../form");
var tabpanel_container_1 = require("../tabpanel.container");
var FormTabPanelContainer = /** @class */ (function (_super) {
    __extends(FormTabPanelContainer, _super);
    function FormTabPanelContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [30.08.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    FormTabPanelContainer.prototype.dispatchActiveValue = function (payloadWrapper) {
        this.dispatchFrameworkAction(form_1.FORM_ACTIVE_VALUE_ACTION_TYPE, payloadWrapper);
    };
    /**
     * @stable [02.09.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    FormTabPanelContainer.prototype.dispatchDeactivatedValue = function (payloadWrapper) {
        this.dispatchFrameworkAction(form_1.FORM_DEACTIVATED_VALUE_ACTION_TYPE, payloadWrapper);
    };
    /**
     * @stable [12.02.2020]
     * @returns {IActiveValueWrapper}
     */
    FormTabPanelContainer.prototype.getActiveValueWrapper = function () {
        return this.props.form;
    };
    return FormTabPanelContainer;
}(tabpanel_container_1.TabPanelContainer));
exports.FormTabPanelContainer = FormTabPanelContainer;
//# sourceMappingURL=form-tabpanel.container.js.map