import { IGenericTooltipPlugin } from './generic-tooltip.interface';
import { IGenericTooltipEntity } from '../../definition';
export declare class GenericTooltipPlugin implements IGenericTooltipPlugin {
    private tooltipInstance;
    private tooltip;
    private target;
    /**
     * @stable [27.05.2019]
     * @param {HTMLElement} value
     */
    setTarget(value: HTMLElement): void;
    /**
     * @stable [27.05.2019]
     * @param {IGenericTooltipEntity} value
     */
    setTooltip(value: IGenericTooltipEntity): void;
    /**
     * @stable [27.05.2019]
     */
    destroy(): void;
    /**
     * @stable [27.05.2019]
     */
    init(): void;
}
