import { IEffectsAction } from 'redux-effects-promise';
import { IRefreshedListMiddlewareConfig, IRefreshedListOnValidFormMiddlewareConfig } from './middleware.interface';
/**
 * @stable [13.09.2018]
 * @param {IRefreshedListMiddlewareConfig} config
 * @returns {IEffectsAction[]}
 */
export declare const makeRefreshedListMiddleware: (config: IRefreshedListMiddlewareConfig) => IEffectsAction[];
/**
 * @stable [17.02.2019]
 * @param {IRefreshedListOnValidFormMiddlewareConfig} config
 * @returns {IEffectsAction[]}
 */
export declare const makeRefreshedListOnValidFormMiddleware: (config: IRefreshedListOnValidFormMiddlewareConfig) => IEffectsAction[];
